Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVExclusionType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVExclusionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVExclusionType extends Object implements Serializable

Java class for ConsultChapterIVExclusionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVExclusionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="ExclusionType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="IdentifierNum" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVExclusionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getExclusionType()`
  What is the type of formulation used to express the exclusion of this medicine in the reimbursement possibilities for this patient.
  `String`
  `getIdentifierNum()`
  Identifier in another entity of the term excluding the reimbursement.
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setExclusionType(String value)`
  Sets the value of the exclusionType property.
  `void`
  `setIdentifierNum(String value)`
  Sets the value of the identifierNum property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVExclusionType

    public ConsultChapterIVExclusionType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getExclusionType

    public String getExclusionType()
    What is the type of formulation used to express the exclusion of this medicine in the reimbursement possibilities for this patient. In other ways, in what form has the exclusion been formulated in the legislation text, according to a speciality, an active substance, a group of medicines, an enumeration, … Type ‘T’ refers to the text itself when the exclusion could not be structured in any other type of formulation. Domain (¡Attention! Domain changes in respect to SAM v1!): T : Text => VERSE_NUM of the verse containing the text of the exclusion C : Criteria => reimbursement criterion fixed by the NIHDI A : ATC Code => ATC code D : Cluster Code => VMP_ ID J : Paragraph = PARAGRAPH NAME I : Internal => all specialities (CNK’s) attached to the PARAGRAPH via Reimbursement Context with the same Legal Reference Path K : Packaged product = AMPP => CNK Identifier E : Exception => Certain medicines within a classification can nevertheless be the subject of a reimbursement authorisation. V: New: VTM Code of a Virtual Therapeutic Moiety in SAM v2. All specialties linked to this VTM throuthe VTM – VMP – AMP links.
    Returns:
      possible object is `String`

  - ### setExclusionType

    public void setExclusionType(String value)
    Sets the value of the exclusionType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getExclusionType()`

  - ### getIdentifierNum

    public String getIdentifierNum()
    Identifier in another entity of the term excluding the reimbursement. The determination of the entity is made thanks to the field EXCLUSION_TYPE. (The implementation of these identifiers in one or several fields remains the domain of the physical structuring)
    Returns:
      possible object is `String`

  - ### setIdentifierNum

    public void setIdentifierNum(String value)
    Sets the value of the identifierNum property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getIdentifierNum()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`